Package org.eclipse.swt.events

# Interface ModifyListener

public interface ModifyListener
Classes which implement this interface provide a method that deals with the events that are generated when text is modified.

After creating an instance of a class that implements this interface it can be added to a text widget using the `addModifyListener` method and removed using the `removeModifyListener` method. When the text is modified, the modifyText method will be invoked.

See Also:
  - `ModifyEvent`

## Method Summary

Modifier and Type
Method
Description
`void`
`modifyText(ModifyEvent event)`
Sent when the text is modified.

## Method Details

### modifyText

void modifyText(ModifyEvent event)
Sent when the text is modified.

Parameters:
  `event` - an event containing information about the modify